<?php
// Обработка добавления нового сообщения//
date_default_timezone_set('Europe/Moscow'); 
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = trim($_POST['name']);
    $message = trim($_POST['message']);

    if ($name && $message) {
        $file = 'messages.txt';
        $time = date('Y-m-d H:i:s');
        $entry = $name . '|' . $message . '|' . $time . "\n";
        
        // Сохранение сообщения в файл
        file_put_contents($file, $entry, FILE_APPEND);
    }

    // Возвращаем обновленный список сообщений
    if (file_exists($file)) {
        $messages = file($file, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
        foreach ($messages as $entry) {
            list($name, $message, $time) = explode('|', $entry);
            echo '<div class="message">';
            echo '<strong>' . htmlspecialchars($name) . '</strong> (' . htmlspecialchars($time) . '):<br>';
            echo htmlspecialchars($message);
            echo '</div>';
        }
    }
}
?>
